Summary:	An IDE tailored to the needs of Qt developers
Summary(pl.UTF-8):	IDE dostosowane do potrzeb developerow Qt
Name:		qt-creator
Version:	4.3.0
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		X11/Development/Tools
Source0:	http://download.qt.io/official_releases/qtcreator/4.3/%{version}/%{name}-opensource-src-%{version}.tar.xz
# Source0-md5:	b8059b45c8b02a8d52d2d2e46b7b740b
Patch0:		%{name}-libexec.patch
URL:		http://doc.qt.io/qt-5/topics-app-development.html
BuildRequires:	Qt5Concurrent-devel >= 5.6.0
BuildRequires:	Qt5Designer-devel >= 5.6.0
BuildRequires:	Qt5Gui-devel >= 5.6.0
BuildRequires:	Qt5Help-devel >= 5.6.0
BuildRequires:	Qt5Network-devel >= 5.6.0
BuildRequires:	Qt5Script-devel >= 5.6.0
BuildRequires:	Qt5Svg-devel >= 5.6.0
BuildRequires:	Qt5UiTools-devel >= 5.6.0
BuildRequires:	Qt5WebKit-devel >= 5.6.0
BuildRequires:	Qt5Xml-devel >= 5.6.0
BuildRequires:	clang-devel >= 3.9.0
BuildRequires:	gdb
BuildRequires:	libstdc++-devel
BuildRequires:	llvm-devel >= 3.9.0
BuildRequires:	qt5-build >= 5.6.0
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qmake >= 5.6.0
BuildRequires:	rpmbuild(macros) >= 1.602
Requires(post,postun):	desktop-file-utils
%requires_eq	Qt5Core
Requires:	Qt5Gui-platform-xcb
Requires:	Qt5Quick-controls
Requires:	Qt5Sql-sqldriver-sqlite3
Requires:	qt5-qtdeclarative
Requires:	hicolor-icon-theme
# for xdg-open
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Creator is a cross-platform integrated development environment
(IDE) tailored to the needs of Qt developers.

%description -l pl.UTF-8
Qt Creator to wieloplatformowe IDE dostosowane do potrzeb developerow
Qt.

%prep
%setup -q -n %{name}-opensource-src-%{version}
%patch0 -p1

# fix unresolved symbols in libQtcSsh
echo >> src/libs/ssh/ssh_dependencies.pri
echo "LIBS += -ldl" >> src/libs/ssh/ssh_dependencies.pri

%build
export QTDIR=%{_libdir}/qt5
# the qmakespec in qt4 is somewhat broken, need to look at this
#export QMAKESPEC=%{_datadir}/qt4/mkspecs/linux-g++/

qmake-qt5 qtcreator.pro \
	IDE_LIBRARY_BASENAME="%{_lib}" \
	LLVM_INSTALL_DIR="%{_prefix}" \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

export QTDIR=%{_libdir}/qt5
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/qtcreator.conf

rm -f $RPM_BUILD_ROOT%{_libdir}/qtcreator/*.prl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qbs
%attr(755,root,root) %{_bindir}/qbs-config
%attr(755,root,root) %{_bindir}/qbs-config-ui
%attr(755,root,root) %{_bindir}/qbs-create-project
%attr(755,root,root) %{_bindir}/qbs-qmltypes
%attr(755,root,root) %{_bindir}/qbs-setup-android
%attr(755,root,root) %{_bindir}/qbs-setup-qt
%attr(755,root,root) %{_bindir}/qbs-setup-toolchains
%attr(755,root,root) %{_bindir}/qtcreator
%{_sysconfdir}/ld.so.conf.d/qtcreator.conf
%dir %{_libdir}/qtcreator
%attr(755,root,root) %{_libdir}/qtcreator/buildoutputparser
%attr(755,root,root) %{_libdir}/qtcreator/clangbackend
%attr(755,root,root) %{_libdir}/qtcreator/clangpchmanagerbackend
%attr(755,root,root) %{_libdir}/qtcreator/clangrefactoringbackend
%attr(755,root,root) %{_libdir}/qtcreator/cpaster
%attr(755,root,root) %{_libdir}/qtcreator/qbs_processlauncher
%attr(755,root,root) %{_libdir}/qtcreator/qml2puppet
%attr(755,root,root) %{_libdir}/qtcreator/qtcreator_process_stub
%attr(755,root,root) %{_libdir}/qtcreator/qtpromaker
%attr(755,root,root) %{_libdir}/qtcreator/sdktool
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so.*.*
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.1
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.4
%dir %{_libdir}/qtcreator/plugins
%attr(755,root,root) %{_libdir}/qtcreator/plugins/lib*.so
%dir %{_libdir}/qtcreator/plugins/qbs
%dir %{_libdir}/qtcreator/plugins/qbs/plugins
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libqbs_cpp_scanner.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libqbs_qt_scanner.so
%dir %{_libdir}/qtcreator/plugins/qmldesigner
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libcomponentsplugin.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libqtquickplugin.so
%{_datadir}/qtcreator
%{_datadir}/metainfo/org.qt-project.qtcreator.appdata.xml
%{_desktopdir}/org.qt-project.qtcreator.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Mon Jul 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt-creator.git;a=log;h=master

* Sun Jun 25 2017 Bartek Szady <bszx@bszx.eu> f6428af
- updated to 4.3.0

* Fri May 19 2017 Jan Rękorajski <baggins@pld-linux.org> 8e8639e
- release 2 (by relup.sh)

* Wed Jan 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e075b76
- Add Source0 md5

* Sun Jan 08 2017 Bartek Szady <bszx@bszx.eu> add0d0e
- updated to 4.1.0

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 903bc8a
- release 3 (by relup.sh)

* Sun Nov 06 2016 Jan Rękorajski <baggins@pld-linux.org> d92afe4
- release 2 (by relup.sh)

* Wed Sep 28 2016 Bartek Szady <bszx@bszx.eu> 459239b
- updated to 4.0.3

* Wed Sep 28 2016 Bartek Szady <bszx@bszx.eu> d1e3fef
- updated to 3.6.1
- libexec.patch fixed. Design mode works for qml files.

* Sun Feb 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 381d350
- Update to 3.6.0

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 7d7fec6
- release 2 (by relup.sh)

* Thu Jun 25 2015 Elan Ruusamäe <glen@delfi.ee> c031d74
- update BR

* Thu Jun 25 2015 Jan Rękorajski <baggins@pld-linux.org> cd01c35
- updated files
- fixed build/install in x32

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> dd3dfda
- more qt5

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> a18d73a
- bump reqs to Qt5

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> 78e69ec
- up to 3.4.1

* Wed Jun 10 2015 Elan Ruusamäe <glen@delfi.ee> ed875dd
- update BR (gdb there is weird, but fails to compile otherwise)

* Thu May 22 2014 Jan Rękorajski <baggins@pld-linux.org> eedfdc8
- up to 2.7.2
- new source URL

* Mon Apr 15 2013 Karol Krenski <charles@pld-linux.org> 36cf551
- updated to 2.7.0

* Fri Feb 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 221dc81
- Update icon filename

* Sat Jan 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f0253cb
- Update to 2.6.1

